is_local {git2r} | R Documentation

## Check if branch is local

### Description

Check if branch is local

### Usage

    is_local(branch)

    ## S4 method for signature 'git_branch'
    is_local(branch)

### Arguments

`branch` | The branch `object` to check if it's local

### Value

TRUE if branch is local, else FALSE

### Examples

    ## Not run:
    ## Initialize repositories
    path_bare <- tempfile(pattern="git2r-")
    path_repo <- tempfile(pattern="git2r-")
    dir.create(path_bare)
    dir.create(path_repo)
    repo_bare <- init(path_bare, bare = TRUE)
    repo <- clone(path_bare, path_repo)

    ## Config first user and commit a file
    config(repo, user.name="Alice", user.email="alice@example.org")

    ## Write to a file and commit
    writeLines("Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do",
               file.path(path_repo, "example.txt"))
    add(repo, "example.txt")
    commit(repo, "First commit message")

    ## Push commits from repository to bare repository
    ## Adds an upstream tracking branch to branch 'master'
    push(repo, "origin", "refs/heads/master")

    ## List branches
    branches(repo)

    ## Check if first branch is_local
    is_local(branches(repo)[[1]])

    ## Check if second branch is_local
    is_local(branches(repo)[[2]])

    ## End(Not run)

[Package git2r version 0.20.0 Index]